Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR4-Pre1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.executor.impl.runtime
Class RuntimeManagerRegistry

    java.lang.Object
      org.jbpm.executor.impl.runtime.RuntimeManagerRegistry

    public class RuntimeManagerRegistry

extends Object

Registry for active `RuntimeManagers` that can be used from within executor service.

Constructor Summary
`protected` | `RuntimeManagerRegistry()`

Method Summary
`void` | `addRuntimeManager(String id, RuntimeManager manager)` Adds new `RuntimeManager` that shall be available for the executor
`static RuntimeManagerRegistry` | `get()` Returns singleton instance of the registry
`RuntimeManager` | `getRuntimeManager(String id)` Returns RuntimeManager instance if registered, otherwise null
`void` | `remove(String id)` Remove `RuntimeManager` identified by given id

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RuntimeManagerRegistry

    protected RuntimeManagerRegistry()

Method Detail

### get

    public static RuntimeManagerRegistry get()

  Returns singleton instance of the registry

  Returns:

### addRuntimeManager

    public void addRuntimeManager(String id,
                                  RuntimeManager manager)

  Adds new `RuntimeManager` that shall be available for the executor

  Parameters:
    `id` - - id of the RuntimeManager
    `manager` - - RuntimeManager instance

### remove

    public void remove(String id)

  Remove `RuntimeManager` identified by given id

  Parameters:
    `id` - - id of the RuntimeManager

### getRuntimeManager

    public RuntimeManager getRuntimeManager(String id)

  Returns RuntimeManager instance if registered, otherwise null

  Parameters:
    `id` - - id of the RuntimeManager
  Returns:
    registered instance of RuntimeManager or null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR4-Pre1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.